#!/bin/sh

DB=$1
USR=$2
PWRD=$3
TBSCHEM=$4

usage() {
    echo -n "usage: drop_triggers61 database username password tableschema"
    exit 1
}

error_connect() {
    echo -n "One of the parameters to connect to database is not correct"
    exit 1
}

err_schema() {
    echo -n "Schema name $TBSCHEM is undefined Provide the right schema name"
    exit 1
}



if [ "$DB" == "" ]; then
    usage
fi
if [ "$USR" == "" ]; then
    usage
fi
if [ "$PWRD" == "" ]; then
    usage
fi
if [ "$TBSCHEM" == "" ]; then
    usage
fi

db2 connect to $DB user $USR using $PWRD
RETVAL=$?
if [ $RETVAL != 0 ]; then
    error_connect
fi


db2 set CURRENT SCHEMA $TBSCHEM
RETVAL=$?
if [ $RETVAL != 0 ]; then
    err_schema
fi



db2 DROP TRIGGER BUDGET_ACTUAL
db2 DROP TRIGGER BUDGET_BUDGET
db2 DROP TRIGGER BUDGET_UPDATE
db2 DROP TRIGGER COST_DELETE
db2 DROP TRIGGER COST_UPDATE
db2 DROP TRIGGER CRI_ACTUAL_BIT
db2 DROP TRIGGER CRI_ASSIGN_NAMES
db2 DROP TRIGGER CRI_FORECAST_BIT
db2 DROP TRIGGER CRI_PLANNED_BIT
db2 DROP TRIGGER CRI_SCHED_BIT
db2 DROP TRIGGER CRI_STAGE_AFTER
db2 DROP TRIGGER CRI_STAGE_INSERT
db2 DROP TRIGGER DEPEND_D
db2 DROP TRIGGER DEPEND_I
db2 DROP TRIGGER DEPEND_U
db2 DROP TRIGGER DEP_D_DEPAND_FLAG
db2 DROP TRIGGER DEP_D_LEVEL_CHANGE
db2 DROP TRIGGER DEP_D_LEVEL_SUCC
db2 DROP TRIGGER DEP_I_DEPAND_FLAG
db2 DROP TRIGGER DEP_I_LEVEL_CHANGE
db2 DROP TRIGGER DEP_I_LEVEL_SUCC
db2 DROP TRIGGER DEP_U_LEVEL_CHANGE
db2 DROP TRIGGER DEP_U_LEVEL_SUCC
db2 DROP TRIGGER DOC_STAGE_AFTER
db2 DROP TRIGGER DOC_STAGE_INSERT
db2 DROP TRIGGER FS_TA_SCHED_U
db2 DROP TRIGGER FS_TC_ASSIGN_I
db2 DROP TRIGGER FS_TC_UNASSIGN_D
db2 DROP TRIGGER FS_WBS_DIRTY_U
db2 DROP TRIGGER MAILGROUP_D
db2 DROP TRIGGER MAILGROUP_I
db2 DROP TRIGGER PBB_PROCESS_FLAG
db2 DROP TRIGGER RESOURCE_I
db2 DROP TRIGGER RES_ASSIGN_D
db2 DROP TRIGGER RES_ASSIGN_I
db2 DROP TRIGGER SC_STAGE_AFTER
db2 DROP TRIGGER SC_STAGE_INSERT
db2 DROP TRIGGER TA_ACTUAL_BIT
db2 DROP TRIGGER TA_AD_CRI
db2 DROP TRIGGER TA_AD_WBS
db2 DROP TRIGGER TA_DB_LABOR
db2 DROP TRIGGER TA_EFFORTS_BEFORE
db2 DROP TRIGGER TA_EFFORTS_CRI
db2 DROP TRIGGER TA_EFFORTS_WBS
db2 DROP TRIGGER TA_FD_CRI
db2 DROP TRIGGER TA_FD_WBS
db2 DROP TRIGGER TA_FORECAST_BIT
db2 DROP TRIGGER TA_LABOR
db2 DROP TRIGGER TA_ND_CRI
db2 DROP TRIGGER TA_ND_WBS
db2 DROP TRIGGER TA_PLANNED_BIT
db2 DROP TRIGGER TA_RATES_BEFORE
db2 DROP TRIGGER TA_RATES_CRI
db2 DROP TRIGGER TA_RATES_WBS
db2 DROP TRIGGER TA_SCHED_BIT
db2 DROP TRIGGER TA_SD_CRI
db2 DROP TRIGGER TA_SD_WBS
db2 DROP TRIGGER TA_U_LEVEL_CHANGE
db2 DROP TRIGGER TMT_COSTS_D
db2 DROP TRIGGER TSKASSIGN_D_SCHED
db2 DROP TRIGGER TSKASSIGN_U_SCHED
db2 DROP TRIGGER WBS_ACTUAL_BIT
db2 DROP TRIGGER WBS_ASSIGNED_DEL
db2 DROP TRIGGER WBS_ASSIGNED_INS
db2 DROP TRIGGER WBS_ASSIGNED_MOVE
db2 DROP TRIGGER WBS_BUDGET_UPDATE
db2 DROP TRIGGER WBS_FORECAST_BIT
db2 DROP TRIGGER WBS_FROM100_FLAG
db2 DROP TRIGGER WBS_PLANNED_BIT
db2 DROP TRIGGER WBS_SCHED_BIT
db2 DROP TRIGGER WBS_STAGE_AFTER
db2 DROP TRIGGER WBS_STAGE_INSERT
db2 DROP TRIGGER WBS_TO100_FLAG
db2 DROP TRIGGER WBS_U_COST
db2 DROP TRIGGER WBS_U_PUBLISHED
db2 DROP TRIGGER WBS_U_SCHEDULE
db2 DROP TRIGGER WBS_U_TEMPLATE

db2 connect reset
