/********************************************************************
# (C) Copyright IBM Corp.  2005-2006
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#********************************************************************/
/*$File***********************************************************************
        File               assign_str.cpp
        Contents           string assignment manipulation routines.
        Prototype File     assign_str.h
        Created            Vladimir Schneider, vladimir@winpte.com
                           Sep 22, 2004
******X******************X************************X************************X$*/
/*$Func************************************************************************
      Synopsis           BOOL_RETURN_CODE FC_INI_ASSIGN_STR(SC_LONG_PARAM bClearString)
         bClearString    if !0 will also clear the current assignment
                         string. Default = TRUE.
      Description        Clears the global variables in preparation for
                         calls to FC_ASSIGN_STRING function which will
                         accumulate the assignment profile string.
      Return Value       0
      Remarks
         Warning
         Preconditions
         Locks
         Side Effects    Clears global variables used for the
                         accumulation of the assignment string
         Limitations
         See Also        FC_ASSIGN_STRING, FC_GET_ASSIGN_STRING
******X******************X************************X************************X$*/
Prompt == FUNCTION FC_INI_ASSIGN_STR ==
CREATE OR REPLACE FUNCTION FC_INI_ASSIGN_STR wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
8
9200000
1
4
0 
20
2 :e:
1FUNCTION:
1FC_INI_ASSIGN_STR:
1SH_BCLEARSTRING:
1PLS_INTEGER:
11:
1RETURN:
1BCLEARSTRING:
1COALESCE:
10:
1!=:
1ASSIGN_STR:
1G_ASSIGN_STR_CONTOUR:
1:
1G_ASSIGN_STR_HAD_CALLS:
1G_ASSIGN_STR_FIRST_DAY:
1G_ASSIGN_STR_LAST_DAY:
1G_ASSIGN_STR_LAST_MINUTES:
1ALLTRACES:
1TRACE_ENABLED:
1CHECK_TRACE:
118:
1+:
1LFILE:
1FPUT:
1AllTrace:
1                EXIT:: FC_INI_ASSIGN_STR(19) :: assign_str.sql(72) :: :
1||:
1SYSTIMESTAMP:
1 :
1STATE:: :
1PMO_DB2M:
1SC_STATE:
0

0
0
76
2
0 a0 8d 8f a0 51 b0 3d
b4 :2 a0 2c 6a a3 a0 1c :2 a0
51 a5 b 81 b0 a0 7e 51
b4 2e :2 a0 6b 6e d :2 a0 6b
51 d b7 19 3c :2 a0 6b 51
d :2 a0 6b 51 d :2 a0 6b 51
d a0 51 65 :2 a0 6b :2 a0 6b
51 6e 51 7e 51 b4 2e a5
b a 10 :2 a0 6b :2 6e 7e a0
b4 2e 7e 6e b4 2e 7e 6e
b4 2e 7e :2 a0 6b b4 2e a5
57 b7 19 3c :3 a0 6b 65 b7
a4 b1 11 68 4f 1d 17 b5 
76
2
0 3 7 26 1f 23 1e 2e
1b 33 37 3b 3f 66 47 4b
53 57 5b 5e 5f 61 46 6d
43 71 74 75 7a 7e 82 85
8a 8e 92 96 99 9c a0 a2
a6 a9 ad b1 b4 b7 bb bf
c3 c6 c9 cd d1 d5 d8 db
df e3 e6 ea ee f2 f5 f9
fd 100 103 108 10b 10e 111 112
117 118 1 11a 11f 123 127 12a
12f 134 137 13b 13c 141 144 149
14a 14f 152 157 158 15d 160 164
168 16b 16c 171 172 177 179 17d
180 184 188 18c 18f 193 195 199
19b 1a7 1ab 1ad 1ae 1b7 
76
2
0 1 a 6 16 25 :2 6 1
3 a :2 1 4 :2 11 20 29 3a
:2 20 11 4 7 14 17 :2 14 7
:2 12 2a :2 7 :2 12 2c 7 19 :3 4
:2 f 29 :2 4 :2 f 28 :2 4 :2 f 2c
:2 4 b 4 7 :2 11 23 :2 2d 39
3c 51 53 54 :2 51 :2 23 :3 7 :2 d
12 1e 64 67 :2 1e 74 77 :2 1e
7b 7e :2 1e 88 8b :2 94 :2 1e :2 7
57 :3 4 b :2 14 4 :9 1 
76
4
0 :2 1 :5 3 2
:2 4 :2 1 :a 6 :5 8
:5 9 :5 a :3 8 :5 d
:5 e :5 f :3 11 :11 12
:19 13 :3 12 :5 15 :2 7
:7 1 
1b9
4
:3 0 1 :3 0 2
:a 0 71 1 :7 0
5 :2 0 3 4
:3 0 5 :2 0 3
:7 0 6 4 5
:2 0 6 :3 0 4
:3 0 8 a 0
71 2 b :2 0
a :2 0 a 4
:3 0 e :7 0 8
:3 0 3 :3 0 9
:2 0 7 10 13
16 f 14 6f
0 7 :6 0 7
:3 0 9 :2 0 e
18 1a :3 0 b
:3 0 c :3 0 1c
1d 0 d :4 0
1e 1f 0 26
b :3 0 e :3 0
21 22 0 9
:2 0 23 24 0
26 11 27 1b
26 0 28 14
0 6d b :3 0
f :3 0 29 2a
0 9 :2 0 2b
2c 0 6d b
:3 0 10 :3 0 2e
2f 0 9 :2 0
30 31 0 6d
b :3 0 11 :3 0
33 34 0 9
:2 0 35 36 0
6d 6 :3 0 9
:2 0 39 :2 0 6d
12 :3 0 13 :3 0
3b 3c 0 12
:3 0 14 :3 0 3e
3f 0 5 :2 0
2 :4 0 15 :2 0
16 :2 0 5 :2 0
16 44 46 :3 0
19 40 48 3d
4a 49 :2 0 17
:3 0 18 :3 0 4c
4d 0 19 :4 0
1a :4 0 1b :2 0
1c :3 0 1d 51
53 :3 0 1b :2 0
1d :4 0 20 55
57 :3 0 1b :2 0
1e :4 0 23 59
5b :3 0 1b :2 0
1f :3 0 20 :3 0
5e 5f 0 26
5d 61 :3 0 29
4e 63 :2 0 65
2c 66 4b 65
0 67 2e 0
6d 6 :3 0 1f
:3 0 20 :3 0 69
6a 0 6b :2 0
6d 30 70 :3 0
70 38 70 6f
6d 6e :6 0 71
:2 0 2 b 70
74 :3 0 73 71
75 :8 0 
3a
4
:3 0 1 3 1
7 2 11 12
1 d 1 19
2 17 19 2
20 25 1 27
2 43 45 3
41 42 47 2
50 52 2 54
56 2 58 5a
2 5c 60 2
4f 62 1 64
1 66 7 28
2d 32 37 3a
67 6c 1 15

1
4
0 
74
0
1
14
1
3
0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0
0 0 0 0 
3 1 0
2 0 1
d 1 0
0

/
SHOW ERRORS FUNCTION FC_INI_ASSIGN_STR;
ALTER FUNCTION FC_INI_ASSIGN_STR COMPILE DEBUG;
/*$Func************************************************************************
      Synopsis           BOOL_RETURN_CODE FC_ASSIGN_STRING(SC_LONG_PARAM h_julian_day, short h_julian_day_Ind, SC_LONG_PARAM h_minutes, short h_minutes_Ind)
         h_julian_day    day of assignment, must be >= value passed in last
                         call. For the first call can be any value.
         h_julian_day_Ind  ignored
         h_minutes       number of minutes assigned
         h_minutes_Ind   ignored
      Description        Add a day to the existing contour string. Will
                         accumulate days which have the same assignment
                         minutes into X*# where X is number of days and # is
                         the number of assigned minutes.
      Return Value       0 if success, else error
      Remarks            If days are skipped between calls their assigned
                         minutes are assumed to be 0 and this will be
                         reflected in the assignment string.
                         A call for the same day is allowed as long as the
                         h_minutes == 0 in this call or the last call. If
                         the last call was made with h_minutes == 0 then the
                         h_minutes from this call will be used.
                         This is designed to facilitate creating a contour
                         string for a know date range. For example:
                         FC_ASSIGN_STRING(SC_PARAM(h_start_date), 0, 0);
                         while (h_date <= h_finish_date)
                         {
                             FC_ASSIGN_STRING(SC_PARAM(h_date), SC_PARAM(h_minutes));
                         }
                         FC_ASSIGN_STRING(SC_PARAM(h_finish_date), 0, 0);
                         The first and last call are made regardless whether
                         these calls will be/or have been made in the loop.
                         This is by design and eliminates the need for the
                         callers to do a lot of extra logic.
         Warning         The string is only updated when the assigned
                         minutes changes from the last call. All days must
                         be added in increasing order. Always use
                         FC_GET_ASSIGN_STR to get the results from all the
                         builds.
         Preconditions   FC_INI_ASSIGN_STR was called
         Locks
         Side Effects    Modifies global variables used for assignment
                         string
         Limitations     If the current assignment string
                         > SC_ASSIGN_STRING_LENGTH, function will fail.
         See Also        FC_GET_ASSIGN_STR, FC_INI_ASSIGN_STR
******X******************X************************X************************X$*/
Prompt == FUNCTION FC_ASSIGN_STRING ==
CREATE OR REPLACE FUNCTION FC_ASSIGN_STRING wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
8
9200000
1
4
0 
3b
2 :e:
1FUNCTION:
1FC_ASSIGN_STRING:
1SH_H_JULIAN_DAY:
1PLS_INTEGER:
1SH_H_MINUTES:
1RETURN:
1H_JULIAN_DAY:
1H_MINUTES:
1NULL_RETURN:
1LONG:
1ORA_TEMP_SC_STATE:
10:
1COALESCE:
1ASSIGN_STR:
1<:
1G_ASSIGN_STR_LAST_DAY:
1ALLTRACES:
1TRACE_ENABLED:
1CHECK_TRACE:
132:
113:
1+:
11:
1LFILE:
1FPUT:
1AllTrace:
1        RETURN_ERROR:: FC_ASSIGN_STRING(14) :: assign_str.sql(161) :: :
1||:
1SYSTIMESTAMP:
1 :
1ID:: :
1':
1day < last_day:
1PMODEFINES:
1PMO_RETURN_ERROR:
1-:
1FALSE:
1=:
1!=:
1G_ASSIGN_STR_LAST_MINUTES:
1PMO_CNST:
1ASSIGN_STRING_TOLONG:
1LENGTH:
1G_ASSIGN_STR_CONTOUR:
1>:
1SC_ASSIGN_STRING_LENGTH:
1G_ASSIGN_STR_FIRST_DAY:
1NOT:
1:
1G_ASSIGN_STR_HAD_CALLS:
1PMO_DB2M:
1SC_STATE:
1IS NULL:
1TO_CHAR:
1*:
1,:
185:
1                EXIT:: FC_ASSIGN_STRING(86) :: assign_str.sql(233) :: :
1STATE:: :
0

0
0
243
2
0 a0 8d 8f a0 b0 3d 8f
a0 b0 3d b4 :2 a0 2c 6a a3
a0 1c a0 81 b0 a3 a0 1c
a0 81 b0 a3 a0 1c 81 b0
a3 a0 1c 51 81 b0 :2 a0 51
a5 b a0 7e a0 6b b4 2e
:2 a0 6b :2 a0 6b 51 6e 51 7e
51 b4 2e a5 b a 10 :2 a0
6b :2 6e 7e a0 b4 2e 7e 6e
b4 2e 7e 6e b4 2e 7e 6e
b4 2e 7e 6e b4 2e 7e 6e
b4 2e a5 57 b7 19 3c :3 a0
6b 7e 51 b4 2e 6e a0 a5
b 65 b7 19 3c :2 a0 51 a5
b a0 7e a0 6b b4 2e :2 a0
51 a5 b 7e 51 b4 2e :2 a0
6b 7e 51 b4 2e a 10 :2 a0
51 a5 b a0 7e a0 6b b4
2e a 10 :3 a0 6b 65 b7 19
3c :2 a0 51 a5 b 7e 51 b4
2e :2 a0 6b :2 a0 51 a5 b d
b7 19 3c a0 51 65 b7 19
3c :3 a0 6b a5 b a0 7e a0
6b b4 2e :3 a0 6b 65 b7 19
3c :2 a0 6b 7e 51 b4 2e 7e
b4 2e :2 a0 6b 6e d :2 a0 6b
:2 a0 51 a5 b d :2 a0 6b :2 a0
51 a5 b d :2 a0 6b :2 a0 51
a5 b d :2 a0 6b 51 d b7
:2 a0 51 a5 b a0 7e a0 6b
7e 51 b4 2e b4 2e :2 a0 6b
7e 51 b4 2e :2 a0 51 a5 b
7e 51 b4 2e 52 10 5a a
10 :3 a0 6b d :4 a0 6b 7e 51
b4 2e 51 a5 b d :2 a0 6b
a0 d :2 a0 51 a5 b 7e 51
b4 2e a0 7e a0 6b b4 2e
:3 a0 6b d :4 a0 51 a5 b 7e
51 b4 2e 51 a5 b d :2 a0
6b a0 d b7 19 3c b7 19
3c :2 a0 6b a0 7e a0 51 a5
b b4 2e :2 a0 6b 7e b4 2e
5a :2 a0 6b :2 a0 6b 7e :3 a0 6b
7e :2 a0 6b b4 2e 7e 51 b4
2e a5 b b4 2e 7e 6e b4
2e 7e :3 a0 6b a5 b b4 2e
d b7 :2 a0 6b :2 a0 6b 7e 6e
b4 2e 7e :3 a0 6b 7e :2 a0 6b
b4 2e 7e 51 b4 2e a5 b
b4 2e 7e 6e b4 2e 7e :3 a0
6b a5 b b4 2e d b7 :2 19
3c :2 a0 6b :2 a0 51 a5 b d
:2 a0 6b :2 a0 51 a5 b d b7
19 3c :2 a0 6b :2 a0 51 a5 b
d b7 :2 19 3c :2 a0 6b :2 a0 6b
7e 51 b4 2e d a0 51 65
:2 a0 6b :2 a0 6b 51 6e 51 7e
51 b4 2e a5 b a 10 :2 a0
6b :2 6e 7e a0 b4 2e 7e 6e
b4 2e 7e 6e b4 2e 7e :2 a0
6b b4 2e a5 57 b7 19 3c
:3 a0 6b 65 b7 a4 b1 11 68
4f 1d 17 b5 
243
2
0 3 7 23 1f 1e 2b 38
34 1b 40 33 45 49 4d 51
6e 59 5d 65 69 30 8a 75
79 81 85 58 a6 95 99 a1
55 c1 ad b1 b9 bc 94 c8
cc 91 d0 d1 d3 d7 da de
e1 e2 e7 eb ef f2 f6 fa
fd 100 105 108 10b 10e 10f 114
115 1 117 11c 120 124 127 12c
131 134 138 139 13e 141 146 147
14c 14f 154 155 15a 15d 162 163
168 16b 170 171 176 179 17e 17f
184 185 18a 18c 190 193 197 19b
19f 1a2 1a5 1a8 1a9 1ae 1b3 1b7
1b8 1ba 1be 1c0 1c4 1c7 1cb 1cf
1d2 1d3 1d5 1d9 1dc 1e0 1e3 1e4
1e9 1ed 1f1 1f4 1f5 1f7 1fa 1fd
1fe 203 207 20b 20e 211 214 215
1 21a 21f 223 227 22a 22b 22d
231 234 238 23b 23c 1 241 246
24a 24e 252 255 259 25b 25f 262
266 26a 26d 26e 270 273 276 277
27c 280 284 287 28b 28f 292 293
295 299 29b 29f 2a2 2a6 2a9 2ad
2af 2b3 2b6 2ba 2be 2c2 2c5 2c6
2c8 2cc 2cf 2d3 2d6 2d7 2dc 2e0
2e4 2e8 2eb 2ef 2f1 2f5 2f8 2fc
300 303 306 309 30a 30f 312 313
318 31c 320 323 328 32c 330 334
337 33b 33f 342 343 345 349 34d
351 354 358 35c 35f 360 362 366
36a 36e 371 375 379 37c 37d 37f
383 387 38b 38e 391 395 397 39b
39f 3a2 3a3 3a5 3a9 3ac 3b0 3b3
3b6 3b9 3ba 3bf 3c0 3c5 3c9 3cd
3d0 3d3 3d6 3d7 3dc 3e0 3e4 3e7
3e8 3ea 3ed 3f0 3f1 1 3f6 3fb
1 3fe 403 407 40b 40f 412 416
41a 41e 422 426 429 42c 42f 430
435 438 439 43b 43f 443 447 44a
44e 452 456 45a 45d 45e 460 463
466 467 46c 470 473 477 47a 47b
480 484 488 48c 48f 493 497 49b
49f 4a3 4a6 4a7 4a9 4ac 4af 4b0
4b5 4b8 4b9 4bb 4bf 4c3 4c7 4ca
4ce 4d2 4d4 4d8 4db 4dd 4e1 4e4
4e8 4ec 4ef 4f3 4f6 4fa 4fd 4fe
500 501 506 50a 50e 511 514 515
51a 51d 521 525 528 52c 530 533
536 53a 53e 542 545 548 54c 550
553 554 559 55c 55f 560 565 566
568 569 56e 571 576 577 57c 57f
583 587 58b 58e 58f 591 592 597
59b 59d 5a1 5a5 5a8 5ac 5b0 5b3
5b6 5bb 5bc 5c1 5c4 5c8 5cc 5d0
5d3 5d6 5da 5de 5e1 5e2 5e7 5ea
5ed 5ee 5f3 5f4 5f6 5f7 5fc 5ff
604 605 60a 60d 611 615 619 61c
61d 61f 620 625 629 62b 62f 633
636 63a 63e 641 645 649 64c 64d
64f 653 657 65b 65e 662 666 669
66a 66c 670 672 676 679 67d 681
684 688 68c 68f 690 692 696 698
69c 6a0 6a3 6a7 6ab 6ae 6b2 6b6
6b9 6bc 6bf 6c0 6c5 6c9 6cd 6d0
6d4 6d8 6dc 6df 6e3 6e7 6ea 6ed
6f2 6f5 6f8 6fb 6fc 701 702 1
704 709 70d 711 714 719 71e 721
725 726 72b 72e 733 734 739 73c
741 742 747 74a 74e 752 755 756
75b 75c 761 763 767 76a 76e 772
776 779 77d 77f 783 785 791 795
797 798 7a1 
243
2
0 1 a 6 16 :3 6 13 :2 6
1 3 a :2 1 4 :2 11 20 11
:2 4 :2 e 1d e :2 4 :3 10 :2 4 :2 16
2e 16 4 7 10 1e :2 7 23
21 :2 2e :2 21 a :2 14 26 :2 30 3c
40 54 56 57 :2 54 :2 26 :3 a :2 10
15 21 67 6a :2 21 77 7a :2 21
7e 81 :2 21 88 8b :2 21 90 93
:2 21 a4 a7 :2 21 :2 a 5a :3 7 e
:2 19 2a 2b :2 2a 2e 40 :2 e 7
44 :2 4 7 10 1e :2 7 23 21
:2 2e :2 21 a 13 1e :2 a 21 24
:2 21 2a :2 35 4f 52 :2 4f :2 a 58
d 18 :2 58 1e 1b :2 29 :2 1b :3 a
11 :2 1a a 43 :2 7 a 13 1e
:2 a 21 24 :2 21 a :2 15 32 3b
46 :2 32 a 26 :3 7 e 7 44
:2 4 7 e :2 19 :2 7 31 2f :2 3a
:2 2f 7 e :2 17 7 52 :2 4 b
:2 16 2d 30 :2 2d :4 7 :2 12 2a :2 7
:2 12 2c 35 43 :2 2c :2 7 :2 12 2b
34 42 :2 2b :2 7 :2 12 2f 38 43
:2 2f :2 7 :2 12 2c 7 32 a 13
21 :2 a 26 24 :2 31 47 49 :2 26
:2 24 12 :2 1d 37 3a :2 37 3f 48
53 :2 3f 56 59 :2 56 :2 12 11 :3 a
1f :2 28 :2 a 19 2a :2 35 4b 4d
:2 2a 50 :2 19 :2 a :2 13 1f a d
16 24 :2 d 27 29 :2 d 2d 2b
:2 38 :2 2b d 22 :2 2b :2 d 1c 2d
36 44 :2 2d 47 49 :2 2d 4c :2 1c
:2 d :2 16 22 d 4e :2 a 5c :2 7
a :2 15 32 2f 3b 46 :2 32 :2 2f
e :2 19 :3 e :2 d :2 18 30 :2 3b 50
43 4b :2 56 43 45 :2 50 :2 4b 43
45 :2 4b :2 43 :2 30 48 4b :2 30 43
46 4e :2 59 :2 46 :2 30 d 37 d
:2 18 30 :2 3b 50 53 :2 30 43 46
4e :2 59 43 45 :2 50 :2 4e 43 45
:2 4e :2 46 :2 30 48 4b :2 30 43 46
4e :2 59 :2 46 :2 30 d :5 a :2 15 2f
38 46 :2 2f :2 a :2 15 32 3b 46
:2 32 a 49 :3 7 :2 12 2b 34 42
:2 2b 7 :5 4 :2 f 29 :2 34 4b 4d
:2 29 :2 4 b 4 7 :2 11 23 :2 2d
39 3c 50 52 53 :2 50 :2 23 :3 7
:2 d 12 1e 64 67 :2 1e 74 77
:2 1e 7b 7e :2 1e 88 8b :2 94 :2 1e
:2 7 56 :3 4 b :2 14 4 :9 1 
243
4
0 :2 1 :4 3 :4 4
2 :2 5 :2 1 :6 7
:6 8 :5 9 :6 a :b c
:11 d :1f e :3 d :d 10
:3 c :b 13 :13 14 :2 15
:2 14 :6 15 :2 14 :5 16
15 :2 14 :9 1b :9 1c
:3 1b :3 1e :3 13 :c 21
:5 22 :3 21 :a 25 :5 27
:9 28 :9 29 :9 2a :5 2b
25 :f 2d :13 2e :2 2d
:5 30 :d 31 :5 32 :f 35
:5 36 :f 37 :5 38 :3 35
2e :2 2d :b 3c :7 3d
:7 3e :4 3f :4 40 :2 3f
:2 41 :4 3f :2 3e :2 41
:2 3e :7 42 :3 3e 3d
:a 44 :5 45 :4 46 :2 45
:2 47 :4 45 :2 44 :2 47
:2 44 :7 48 :3 44 43
:3 3d :9 4b :9 4c :3 3c
:9 4f 2c :3 25 :b 52
:3 54 :11 55 :19 56 :3 55
:5 58 :2 b :7 1 
7a3
4
:3 0 1 :3 0 2
:a 0 23e 1 :7 0
5 30 0 3
4 :3 0 3 :7 0
5 4 :3 0 a
55 0 7 4
:3 0 5 :7 0 9
8 :3 0 6 :3 0
4 :3 0 b d
0 23e 2 e
:2 0 e 91 0
c 4 :3 0 11
:7 0 3 :3 0 15
12 13 23c 0
7 :6 0 4 :3 0
17 :7 0 5 :3 0
1b 18 19 23c
0 8 :6 0 c
:2 0 10 a :3 0
1d :7 0 20 1e
0 23c 0 9
:6 0 4 :3 0 22
0 2 :5 0 c
:2 0 26 23 24
23c 0 b :6 0
d :3 0 7 :3 0
12 27 2a e
:3 0 f :2 0 10
:3 0 2c 2e 0
17 2d 30 :3 0
11 :3 0 12 :3 0
32 33 0 11
:3 0 13 :3 0 35
36 0 14 :2 0
2 :4 0 15 :2 0
16 :2 0 17 :2 0
1a 3b 3d :3 0
1d 37 3f 34
41 40 :2 0 18
:3 0 19 :3 0 43
44 0 1a :4 0
1b :4 0 1c :2 0
1d :3 0 21 48
4a :3 0 1c :2 0
1e :4 0 24 4c
4e :3 0 1c :2 0
1f :4 0 27 50
52 :3 0 1c :2 0
20 :4 0 2a 54
56 :3 0 1c :2 0
21 :4 0 2d 58
5a :3 0 1c :2 0
20 :4 0 30 5c
5e :3 0 33 45
60 :2 0 62 36
63 42 62 0
64 38 0 72
6 :3 0 22 :3 0
23 :3 0 66 67
0 24 :2 0 17
:2 0 3a 69 6b
:3 0 21 :4 0 25
:3 0 3c 68 6f
70 :2 0 72 40
73 31 72 0
74 43 0 23a
d :3 0 7 :3 0
c :2 0 45 75
78 e :3 0 26
:2 0 10 :3 0 7a
7c 0 4a 7b
7e :3 0 d :3 0
8 :3 0 c :2 0
4d 80 83 27
:2 0 c :2 0 52
85 87 :3 0 e
:3 0 28 :3 0 89
8a 0 27 :2 0
c :2 0 57 8c
8e :3 0 88 90
8f :2 0 d :3 0
8 :3 0 c :2 0
5a 92 95 e
:3 0 27 :2 0 28
:3 0 97 99 0
5f 98 9b :3 0
91 9d 9c :2 0
6 :3 0 29 :3 0
2a :3 0 a0 a1
0 a2 :2 0 a4
62 a5 9e a4
0 a6 64 0
bf d :3 0 8
:3 0 c :2 0 66
a7 aa 27 :2 0
c :2 0 6b ac
ae :3 0 e :3 0
28 :3 0 b0 b1
0 d :3 0 8
:3 0 c :2 0 6e
b3 b6 b2 b7
0 b9 71 ba
af b9 0 bb
73 0 bf 6
:3 0 c :2 0 bd
:2 0 bf 75 c0
7f bf 0 c1
79 0 23a 2b
:3 0 e :3 0 2c
:3 0 c3 c4 0
7b c2 c6 29
:3 0 2d :2 0 2e
:3 0 c8 ca 0
7f c9 cc :3 0
6 :3 0 29 :3 0
2a :3 0 cf d0
0 d1 :2 0 d3
82 d4 cd d3
0 d5 84 0
23a e :3 0 2f
:3 0 d6 d7 0
27 :2 0 c :2 0
88 d9 db :3 0
30 :2 0 8b dd
de :3 0 e :3 0
2c :3 0 e0 e1
0 31 :4 0 e2
e3 0 105 e
:3 0 2f :3 0 e5
e6 0 d :3 0
7 :3 0 c :2 0
8d e8 eb e7
ec 0 105 e
:3 0 10 :3 0 ee
ef 0 d :3 0
7 :3 0 c :2 0
90 f1 f4 f0
f5 0 105 e
:3 0 28 :3 0 f7
f8 0 d :3 0
8 :3 0 c :2 0
93 fa fd f9
fe 0 105 e
:3 0 32 :3 0 100
101 0 c :2 0
102 103 0 105
96 1f7 d :3 0
7 :3 0 c :2 0
9c 106 109 e
:3 0 2d :2 0 10
:3 0 10b 10d 0
16 :2 0 17 :2 0
9f 10f 111 :3 0
a4 10c 113 :3 0
e :3 0 28 :3 0
115 116 0 27
:2 0 c :2 0 a9
118 11a :3 0 d
:3 0 8 :3 0 c
:2 0 ac 11c 11f
27 :2 0 c :2 0
b1 121 123 :3 0
11b 125 124 :2 0
126 :2 0 114 128
127 :2 0 b :3 0
33 :3 0 34 :3 0
12b 12c 0 12a
12d 0 16c 9
:3 0 2 :3 0 e
:3 0 10 :3 0 131
132 0 16 :2 0
17 :2 0 b4 134
136 :3 0 c :2 0
b7 130 139 12f
13a 0 16c 33
:3 0 34 :3 0 13c
13d 0 b :3 0
13e 13f 0 16c
d :3 0 7 :3 0
c :2 0 ba 141
144 24 :2 0 17
:2 0 bd 146 148
:3 0 e :3 0 2d
:2 0 10 :3 0 14a
14c 0 c2 14b
14e :3 0 b :3 0
33 :3 0 34 :3 0
151 152 0 150
153 0 169 9
:3 0 2 :3 0 d
:3 0 7 :3 0 c
:2 0 c5 157 15a
24 :2 0 17 :2 0
c8 15c 15e :3 0
c :2 0 cb 156
161 155 162 0
169 33 :3 0 34
:3 0 164 165 0
b :3 0 166 167
0 169 ce 16a
14f 169 0 16b
d2 0 16c d4
16d 129 16c 0
16e d9 0 1f6
e :3 0 28 :3 0
16f 170 0 d
:3 0 27 :2 0 8
:3 0 c :2 0 db
172 176 e0 173
178 :3 0 e :3 0
2c :3 0 17a 17b
0 35 :2 0 e3
17d 17e :3 0 17f
:2 0 e :3 0 2c
:3 0 181 182 0
e :3 0 2c :3 0
184 185 0 1c
:2 0 36 :3 0 e
:3 0 10 :3 0 189
18a 0 24 :2 0
e :3 0 2f :3 0
18d 18e 0 e5
18c 190 :3 0 16
:2 0 17 :2 0 e8
192 194 :3 0 eb
188 196 ed 187
198 :3 0 1c :2 0
37 :4 0 f0 19a
19c :3 0 1c :2 0
36 :3 0 e :3 0
28 :3 0 1a0 1a1
0 f3 19f 1a3
f5 19e 1a5 :3 0
183 1a6 0 1a8
f8 1d5 e :3 0
2c :3 0 1a9 1aa
0 e :3 0 2c
:3 0 1ac 1ad 0
1c :2 0 38 :4 0
fa 1af 1b1 :3 0
1c :2 0 36 :3 0
e :3 0 10 :3 0
1b5 1b6 0 24
:2 0 e :3 0 2f
:3 0 1b9 1ba 0
fd 1b8 1bc :3 0
16 :2 0 17 :2 0
100 1be 1c0 :3 0
103 1b4 1c2 105
1b3 1c4 :3 0 1c
:2 0 37 :4 0 108
1c6 1c8 :3 0 1c
:2 0 36 :3 0 e
:3 0 28 :3 0 1cc
1cd 0 10b 1cb
1cf 10d 1ca 1d1
:3 0 1ab 1d2 0
1d4 110 1d6 180
1a8 0 1d7 0
1d4 0 1d7 112
0 1ea e :3 0
2f :3 0 1d8 1d9
0 d :3 0 7
:3 0 c :2 0 115
1db 1de 1da 1df
0 1ea e :3 0
28 :3 0 1e1 1e2
0 d :3 0 8
:3 0 c :2 0 118
1e4 1e7 1e3 1e8
0 1ea 11b 1eb
179 1ea 0 1ec
11f 0 1f6 e
:3 0 10 :3 0 1ed
1ee 0 d :3 0
7 :3 0 c :2 0
121 1f0 1f3 1ef
1f4 0 1f6 124
1f8 df 105 0
1f9 0 1f6 0
1f9 128 0 23a
e :3 0 32 :3 0
1fa 1fb 0 e
:3 0 32 :3 0 1fd
1fe 0 16 :2 0
17 :2 0 12b 200
202 :3 0 1fc 203
0 23a 6 :3 0
c :2 0 206 :2 0
23a 11 :3 0 12
:3 0 208 209 0
11 :3 0 13 :3 0
20b 20c 0 17
:2 0 2 :4 0 39
:2 0 16 :2 0 17
:2 0 12e 211 213
:3 0 131 20d 215
20a 217 216 :2 0
18 :3 0 19 :3 0
219 21a 0 1a
:4 0 3a :4 0 1c
:2 0 1d :3 0 135
21e 220 :3 0 1c
:2 0 1e :4 0 138
222 224 :3 0 1c
:2 0 3b :4 0 13b
226 228 :3 0 1c
:2 0 33 :3 0 34
:3 0 22b 22c 0
13e 22a 22e :3 0
141 21b 230 :2 0
232 144 233 218
232 0 234 146
0 23a 6 :3 0
33 :3 0 34 :3 0
236 237 0 238
:2 0 23a 148 23d
:3 0 23d 151 23d
23c 23a 23b :6 0
23e :2 0 2 e
23d 241 :3 0 240
23e 242 :8 0 
156
4
:3 0 1 3 1
7 2 6 a
1 10 1 16
1 1c 1 21
2 28 29 1
2f 2 2b 2f
2 3a 3c 3
38 39 3e 2
47 49 2 4b
4d 2 4f 51
2 53 55 2
57 59 2 5b
5d 2 46 5f
1 61 1 63
1 6a 3 6c
6d 6e 2 64
71 1 73 2
76 77 1 7d
2 79 7d 2
81 82 1 86
2 84 86 1
8d 2 8b 8d
2 93 94 1
9a 2 96 9a
1 a3 1 a5
2 a8 a9 1
ad 2 ab ad
2 b4 b5 1
b8 1 ba 3
a6 bb be 1
c0 1 c5 1
cb 2 c7 cb
1 d2 1 d4
1 da 2 d8
da 1 dc 2
e9 ea 2 f2
f3 2 fb fc
5 e4 ed f6
ff 104 2 107
108 2 10e 110
1 112 2 10a
112 1 119 2
117 119 2 11d
11e 1 122 2
120 122 2 133
135 2 137 138
2 142 143 2
145 147 1 14d
2 149 14d 2
158 159 2 15b
15d 2 15f 160
3 154 163 168
1 16a 4 12e
13b 140 16b 1
16d 2 174 175
1 177 2 171
177 1 17c 2
18b 18f 2 191
193 1 195 2
186 197 2 199
19b 1 1a2 2
19d 1a4 1 1a7
2 1ae 1b0 2
1b7 1bb 2 1bd
1bf 1 1c1 2
1b2 1c3 2 1c5
1c7 1 1ce 2
1c9 1d0 1 1d3
2 1d5 1d6 2
1dc 1dd 2 1e5
1e6 3 1d7 1e0
1e9 1 1eb 2
1f1 1f2 3 16e
1ec 1f5 2 1f7
1f8 2 1ff 201
2 210 212 3
20e 20f 214 2
21d 21f 2 221
223 2 225 227
2 229 22d 2
21c 22f 1 231
1 233 8 74
c1 d5 1f9 204
207 234 239 4
14 1a 1f 25

1
4
0 
241
0
1
14
1
7
0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0
0 0 0 0 
2 0 1
1c 1 0
16 1 0
10 1 0
21 1 0
3 1 0
7 1 0
0

/
SHOW ERRORS FUNCTION FC_ASSIGN_STRING;
ALTER FUNCTION FC_ASSIGN_STRING COMPILE DEBUG;
/*$Func************************************************************************
      Synopsis           BOOL_RETURN_CODE FC_GET_ASSIGN_STR(SC_CHAR_PARAM h_contour[SC_H_8K_STR], short h_contour_Ind, SC_LONG_PARAM bIncludeTrailingZero)
         h_contour       buffer for returning the contour string
         h_contour_Ind   ignored, cleared to 0
         bIncludeTrailingZero  0 - if the lass assignment is 0 minutes
                         don't include it in the assignment string, else
                         include traling 0 assigments. Default is 0.
      Description        Returns the accumulated assignment string and
                         prepares the global variables for the next string.
      Return Value       0 if success, else failed
      Remarks            Multiple calls to  this function are allowed and
                         will return the same value. However, each call is
                         does a string copy so is not free.
         Warning         Function will fail if the no calls to
                         FC_ASSIGN_STRING are made after a call to
                         FC_INI_ASSIGN_STIRING
         Preconditions   at least one call to FC_ASSIGN_STRING
         Locks
         Side Effects    Clears global variables used for accumulating the
                         assignment string (except the assignment string
                         itself) in preparation for calls to
                         FC_ASSIGN_STRING.
         Limitations
         See Also
******X******************X************************X************************X$*/
Prompt == FUNCTION FC_GET_ASSIGN_STR ==
CREATE OR REPLACE FUNCTION FC_GET_ASSIGN_STR wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
8
9200000
1
4
0 
32
2 :e:
1FUNCTION:
1FC_GET_ASSIGN_STR:
1H_CONTOUR:
1OUT:
1NOCOPY:
1VARCHAR2:
1SH_BINCLUDETRAILINGZERO:
1PLS_INTEGER:
10:
1RETURN:
1BINCLUDETRAILINGZERO:
1COALESCE:
1NULL_RETURN:
1LONG:
1ORA_TEMP_SC_STATE:
1ASSIGN_STR:
1G_ASSIGN_STR_FIRST_DAY:
1!=:
1NOT:
1G_ASSIGN_STR_HAD_CALLS:
1ALLTRACES:
1TRACE_ENABLED:
1CHECK_TRACE:
132:
112:
1+:
11:
1LFILE:
1FPUT:
1AllTrace:
1        RETURN_ERROR:: FC_GET_ASSIGN_STR(13) :: assign_str.sql(294) :: :
1||:
1SYSTIMESTAMP:
1 :
1ID:: :
1':
1FC_ASSIGN_STRING was not called:
1PMODEFINES:
1PMO_RETURN_ERROR:
1-:
1FALSE:
1G_ASSIGN_STR_LAST_MINUTES:
1PMO_DB2M:
1SC_STATE:
1FC_ASSIGN_STRING:
1G_ASSIGN_STR_LAST_DAY:
1G_ASSIGN_STR_CONTOUR:
1FC_INI_ASSIGN_STR:
1                EXIT:: FC_GET_ASSIGN_STR(33) :: assign_str.sql(314) :: :
1STATE:: :
0

0
0
10c
2
0 a0 8d 90 :3 a0 b0 3f 8f
a0 51 b0 3d b4 :2 a0 2c 6a
a3 a0 1c :2 a0 51 a5 b 81
b0 a3 a0 1c 81 b0 a3 a0
1c 51 81 b0 :2 a0 6b 7e 51
b4 2e 7e b4 2e :2 a0 6b 7e
51 b4 2e 7e b4 2e a 10
:2 a0 6b :2 a0 6b 51 6e 51 7e
51 b4 2e a5 b a 10 :2 a0
6b :2 6e 7e a0 b4 2e 7e 6e
b4 2e 7e 6e b4 2e 7e 6e
b4 2e 7e 6e b4 2e 7e 6e
b4 2e a5 57 b7 19 3c :3 a0
6b 7e 51 b4 2e 6e a0 a5
b 65 b7 19 3c :2 a0 6b 7e
51 b4 2e :2 a0 6b 7e 51 b4
2e a0 7e 51 b4 2e 52 10
5a a 10 :3 a0 6b d :4 a0 6b
7e 51 b4 2e :2 a0 6b 7e 51
b4 2e a5 b d :2 a0 6b a0
d b7 19 3c :3 a0 6b d :3 a0
6b d :2 a0 51 a5 b d :2 a0
6b a0 d a0 51 65 :2 a0 6b
:2 a0 6b 51 6e 51 7e 51 b4
2e a5 b a 10 :2 a0 6b :2 6e
7e a0 b4 2e 7e 6e b4 2e
7e 6e b4 2e 7e :2 a0 6b b4
2e a5 57 b7 19 3c :3 a0 6b
65 b7 a4 b1 11 68 4f 1d
17 b5 
10c
2
0 3 7 2b 1f 23 27 1e
32 3f 3b 1b 3a 47 37 4c
50 54 58 7f 60 64 6c 70
74 77 78 7a 5f 9b 8a 8e
96 5c b6 a2 a6 ae b1 89
bd c1 86 c5 c8 cb cc d1
d4 d5 da de e2 e5 e8 eb
ec f1 f4 f5 1 fa ff 103
107 10a 10e 112 115 118 11d 120
123 126 127 12c 12d 1 12f 134
138 13c 13f 144 149 14c 150 151
156 159 15e 15f 164 167 16c 16d
172 175 17a 17b 180 183 188 189
18e 191 196 197 19c 19d 1a2 1a4
1a8 1ab 1af 1b3 1b7 1ba 1bd 1c0
1c1 1c6 1cb 1cf 1d0 1d2 1d6 1d8
1dc 1df 1e3 1e7 1ea 1ed 1f0 1f1
1f6 1fa 1fe 201 204 207 208 20d
211 214 217 218 1 21d 222 1
225 22a 22e 232 236 239 23d 241
245 249 24d 250 253 256 257 25c
260 264 267 26a 26d 26e 273 274
276 27a 27e 282 285 289 28d 28f
293 296 29a 29e 2a2 2a5 2a9 2ad
2b1 2b5 2b8 2bc 2c0 2c4 2c7 2c8
2ca 2ce 2d2 2d6 2d9 2dd 2e1 2e5
2e8 2ec 2f0 2f4 2f7 2fb 2ff 302
305 30a 30d 310 313 314 319 31a
1 31c 321 325 329 32c 331 336
339 33d 33e 343 346 34b 34c 351
354 359 35a 35f 362 366 36a 36d
36e 373 374 379 37b 37f 382 386
38a 38e 391 395 397 39b 39d 3a9
3ad 3af 3b0 3b9 
10c
2
0 1 a 6 13 17 1e :3 6
1e 2d :2 6 1 3 a :2 1 4
:2 19 28 31 4a :2 28 19 :2 4 :3 10
:2 4 :2 16 2e 16 4 b :2 16 2d
30 :2 2d :3 7 3a :2 45 5c 5f :2 5c
:3 36 :2 7 a :2 14 26 :2 30 3c 40
55 57 58 :2 55 :2 26 :3 a :2 10 15
21 68 6b :2 21 78 7b :2 21 7f
82 :2 21 89 8c :2 21 91 94 :2 21
b6 b9 :2 21 :2 a 5b :3 7 e :2 19
2a 2b :2 2a 2e 51 :2 e 7 61
:2 4 7 :2 12 29 2c :2 29 33 :2 3e
58 5b :2 58 d 22 25 :2 22 :2 33
32 :3 7 1c :2 25 :2 7 16 27 :2 32
48 4a :2 27 23 :2 2e 48 4a :2 23
:2 16 :2 7 :2 10 1c 7 28 :3 4 11
:2 1c :2 4 19 :2 22 :2 4 13 25 :2 13
:2 4 :2 d 19 :2 4 b 4 7 :2 11
23 :2 2d 39 3c 51 53 54 :2 51
:2 23 :3 7 :2 d 12 1e 65 68 :2 1e
75 78 :2 1e 7c 7f :2 1e 89 8c
:2 95 :2 1e :2 7 57 :3 4 b :2 14 4
:9 1 
10c
4
0 :2 1 :6 3 :5 4
2 :2 5 :2 1 :a 7
:5 8 :6 9 :16 b :11 c
:1f d :3 c :d f :3 b
:e 12 :5 13 :5 12 :5 14
:9 15 :7 16 :3 15 :5 17
13 :2 12 :5 1a :5 1b
:6 1c :5 1d :3 1f :11 20
:19 21 :3 20 :5 23 :2 a
:7 1 
3bb
4
:3 0 1 :3 0 2
:a 0 107 1 :7 0
9 :2 0 3 4
:3 0 5 :3 0 6
:3 0 3 :5 0 1
7 6 :3 0 7
:2 0 5 8 :3 0
7 :7 0 c a
b :2 0 a :3 0
8 :3 0 e 10
0 107 2 11
:2 0 f 86 0
d 8 :3 0 14
:7 0 c :3 0 7
:3 0 9 :2 0 a
16 19 1c 15
1a 105 0 b
:6 0 28 29 0
11 e :3 0 1e
:7 0 21 1f 0
105 0 d :6 0
8 :3 0 23 0
2 :5 0 9 :2 0
27 24 25 105
0 f :6 0 10
:3 0 11 :3 0 12
:2 0 9 :2 0 15
2b 2d :3 0 13
:2 0 18 2f 30
:3 0 10 :3 0 14
:3 0 32 33 0
12 :2 0 9 :2 0
1c 35 37 :3 0
13 :2 0 1f 39
3a :3 0 31 3c
3b :2 0 15 :3 0
16 :3 0 3e 3f
0 15 :3 0 17
:3 0 41 42 0
18 :2 0 2 :4 0
19 :2 0 1a :2 0
1b :2 0 21 47
49 :3 0 24 43
4b 40 4d 4c
:2 0 1c :3 0 1d
:3 0 4f 50 0
1e :4 0 1f :4 0
20 :2 0 21 :3 0
28 54 56 :3 0
20 :2 0 22 :4 0
2b 58 5a :3 0
20 :2 0 23 :4 0
2e 5c 5e :3 0
20 :2 0 24 :4 0
31 60 62 :3 0
20 :2 0 25 :4 0
34 64 66 :3 0
20 :2 0 24 :4 0
37 68 6a :3 0
3a 51 6c :2 0
6e 3d 6f 4e
6e 0 70 3f
0 7e a :3 0
26 :3 0 27 :3 0
72 73 0 28
:2 0 1b :2 0 41
75 77 :3 0 25
:4 0 29 :3 0 43
74 7b 7c :2 0
7e 47 7f 3d
7e 0 80 4a
0 103 10 :3 0
11 :3 0 81 82
0 12 :2 0 9
:2 0 4e 84 86
:3 0 10 :3 0 2a
:3 0 88 89 0
12 :2 0 9 :2 0
53 8b 8d :3 0
b :3 0 12 :2 0
9 :2 0 58 90
92 :3 0 8e 94
93 :2 0 95 :2 0
87 97 96 :2 0
f :3 0 2b :3 0
2c :3 0 9a 9b
0 99 9c 0
b6 d :3 0 2d
:3 0 10 :3 0 2e
:3 0 a0 a1 0
1a :2 0 1b :2 0
5b a3 a5 :3 0
10 :3 0 2a :3 0
a7 a8 0 1a
:2 0 1b :2 0 5e
aa ac :3 0 61
9f ae 9e af
0 b6 2b :3 0
2c :3 0 b1 b2
0 f :3 0 b3
b4 0 b6 64
b7 98 b6 0
b8 68 0 103
3 :3 0 10 :3 0
2f :3 0 ba bb
0 b9 bc 0
103 f :3 0 2b
:3 0 2c :3 0 bf
c0 0 be c1
0 103 d :3 0
30 :3 0 9 :2 0
6a c4 c6 c3
c7 0 103 2b
:3 0 2c :3 0 c9
ca 0 f :3 0
cb cc 0 103
a :3 0 9 :2 0
cf :2 0 103 15
:3 0 16 :3 0 d1
d2 0 15 :3 0
17 :3 0 d4 d5
0 1b :2 0 2
:4 0 18 :2 0 1a
:2 0 1b :2 0 6c
da dc :3 0 6f
d6 de d3 e0
df :2 0 1c :3 0
1d :3 0 e2 e3
0 1e :4 0 31
:4 0 20 :2 0 21
:3 0 73 e7 e9
:3 0 20 :2 0 22
:4 0 76 eb ed
:3 0 20 :2 0 32
:4 0 79 ef f1
:3 0 20 :2 0 2b
:3 0 2c :3 0 f4
f5 0 7c f3
f7 :3 0 7f e4
f9 :2 0 fb 82
fc e1 fb 0
fd 84 0 103
a :3 0 2b :3 0
2c :3 0 ff 100
0 101 :2 0 103
86 106 :3 0 106
90 106 105 103
104 :6 0 107 :2 0
2 11 106 10a
:3 0 109 107 10b
:8 0 
94
4
:3 0 1 3 1
9 2 8 d
2 17 18 1
13 1 1d 1
22 1 2c 2
2a 2c 1 2e
1 36 2 34
36 1 38 2
46 48 3 44
45 4a 2 53
55 2 57 59
2 5b 5d 2
5f 61 2 63
65 2 67 69
2 52 6b 1
6d 1 6f 1
76 3 78 79
7a 2 70 7d
1 7f 1 85
2 83 85 1
8c 2 8a 8c
1 91 2 8f
91 2 a2 a4
2 a9 ab 2
a6 ad 3 9d
b0 b5 1 b7
1 c5 2 d9
db 3 d7 d8
dd 2 e6 e8
2 ea ec 2
ee f0 2 f2
f6 2 e5 f8
1 fa 1 fc
9 80 b8 bd
c2 c8 cd d0
fd 102 3 1b
20 26 
1
4
0 
10a
0
1
14
1
6
0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0
0 0 0 0 
2 0 1
1d 1 0
9 1 0
22 1 0
13 1 0
3 1 0
0

/
SHOW ERRORS FUNCTION FC_GET_ASSIGN_STR;
ALTER FUNCTION FC_GET_ASSIGN_STR COMPILE DEBUG;
Prompt == FUNCTION SP__PROFILE_ASSIGN_STR ==
CREATE OR REPLACE FUNCTION SP__PROFILE_ASSIGN_STR wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
8
9200000
1
4
0 
2f
2 :e:
1FUNCTION:
1SP__PROFILE_ASSIGN_STR:
1RETURN:
1PMO_DB2M:
1REF_CURSOR:
1RESULTSET:
1ALLTRACES:
1TRACE_ENABLED:
1CHECK_PARAMS:
1LFILE:
1FPUT_PARAMS:
1AllTrace:
1LINES_BEFORE_PARAMS:
1-- :
1||:
1SYSTIMESTAMP:
1::r ::= SP__PROFILE_ASSIGN_STR();:
1CHECK_TRACE:
11:
110:
1+:
1FPUT:
1               ENTER:: SP__PROFILE_ASSIGN_STR(11) :: assign_str.sql(333) :: :
1RETURN_ERROR_EXCEPTION:
116:
117:
1           EXCEPTION:: SP__PROFILE_ASSIGN_STR(18) :: assign_str.sql(340) :: :
1RETURN_ERROR_EXCEPTION :: STATE:: :
1CURRENT_STATE:
1 ID:: :
1CURRENT_ID:
1OPEN:
1ERROR:
1ID:
1DUAL:
1OTHERS:
1SC_STATE:
1SQLCODE:
129:
1           EXCEPTION:: SP__PROFILE_ASSIGN_STR(30) :: assign_str.sql(352) :: :
1SQLCODE:: :
1 SQLERR:: :
1SUBSTR:
1SQLERRM:
1500:
1-:
19999:
0

0
0
110
2
0 a0 8d a0 b4 :2 a0 6b 2c
6a a3 :2 a0 6b 1c 81 b0 :2 a0
6b :2 a0 6b 6e a5 b a 10
:2 a0 6b 6e :2 a0 6b 6e a5 b
6e 7e a0 b4 2e 6e a5 57
b7 19 3c :2 a0 6b :2 a0 6b 51
6e 51 7e 51 b4 2e a5 b
a 10 :2 a0 6b :2 6e 7e a0 b4
2e a5 57 b7 19 3c b7 :2 a0
6b :2 a0 6b :2 a0 6b 51 6e 51
7e 51 b4 2e a5 b a 10
:2 a0 6b :2 6e 7e a0 b4 2e a5
57 :2 a0 6b :2 6e 7e :2 a0 6b b4
2e 7e 6e b4 2e 7e :2 a0 6b
b4 2e a5 57 b7 19 3c :4 a0
6b a0 b9 :2 a0 6b a0 b9 ac
a0 b2 ee ac e5 d0 b2 :2 e9
dd :2 a0 65 b7 a6 9 a0 53
:2 a0 6b a0 d :2 a0 6b :2 a0 6b
51 6e 51 7e 51 b4 2e a5
b a 10 :2 a0 6b :2 6e 7e a0
b4 2e a5 57 :2 a0 6b :2 6e 7e
a0 b4 2e 7e 6e b4 2e 7e
:2 a0 :2 51 a5 b b4 2e a5 57
b7 19 3c :2 a0 7e 51 a0 b4
2e b9 :2 a0 6b a0 b9 ac a0
b2 ee ac e5 d0 b2 :2 e9 dd
:2 a0 65 b7 a4 b1 11 4f b7
a6 9 a4 b1 11 68 4f 1d
17 b5 
110
2
0 3 f b a 23 27 7
2b 2f 4f 37 3b 3f 42 4a
36 56 5a 33 5e 62 66 69
6e 6f 1 71 76 7a 7e 81
86 8a 8e 91 96 97 99 9e
a1 a5 a6 ab b0 b1 b6 b8
bc bf c3 c7 ca ce d2 d5
d8 dd e0 e3 e6 e7 ec ed
1 ef f4 f8 fc ff 104 109
10c 110 111 116 117 11c 11e 122
125 127 12b 12f 132 136 13a 13d
141 145 148 14b 150 153 156 159
15a 15f 160 1 162 167 16b 16f
172 177 17c 17f 183 184 189 18a
18f 193 197 19a 19f 1a4 1a7 1ab
1af 1b2 1b3 1b8 1bb 1c0 1c1 1c6
1c9 1cd 1d1 1d4 1d5 1da 1db 1e0
1e2 1e6 1e9 1ed 1f1 1f5 1f9 1fc
200 202 206 20a 20d 211 213 214
218 219 220 221 227 22b 22c 231
236 23a 23e 242 246 248 249 24e
1 252 256 25a 25d 261 265 269
26d 270 274 278 27b 27e 283 286
289 28c 28d 292 293 1 295 29a
29e 2a2 2a5 2aa 2af 2b2 2b6 2b7
2bc 2bd 2c2 2c6 2ca 2cd 2d2 2d7
2da 2de 2df 2e4 2e7 2ec 2ed 2f2
2f5 2f9 2fd 300 303 304 306 307
30c 30d 312 314 318 31b 31f 323
326 329 32d 32e 333 335 339 33d
340 344 346 347 34b 34c 353 354
35a 35e 35f 364 369 36d 371 375
379 37b 37f 381 38d 38f 391 392
397 39b 39d 3a9 3ad 3af 3b0 3b9 
110
2
0 1 a 21 0 28 31 28
:2 1 4 e 17 :3 e 4 7 :2 11
23 :2 2d 3a :2 23 :3 7 :2 d 19 25
:2 2f 43 :2 25 5e 64 67 :2 5e 75
:2 7 54 :2 4 7 :2 11 23 :2 2d 39
3c 56 58 59 :2 56 :2 23 :3 7 :2 d
12 1e 6a 6d :2 1e :2 7 5c :2 4
1 9 12 9 a :2 14 26 :2 30
3c 40 5a 5c 5d :2 5a :2 26 :3 a
:2 10 15 21 6d 70 :2 21 :3 a :2 10
15 39 5c 5f :2 68 :2 39 76 79
:2 39 81 84 :2 8d :2 39 :2 a 60 :3 7
c 15 :2 1e 2c 15 a :2 13 1e
a 15 f a f a :4 e 7
e 7 e 7 29 :2 4 :2 9 7
:2 10 1c :2 7 :2 11 23 :2 2d 39 3d
57 59 5a :2 57 :2 23 :3 7 :2 d 12
1e 6a 6d :2 1e :3 7 :2 d 12 36
42 45 :2 36 4d 50 :2 36 5c 5f
66 6f 72 :2 5f :2 36 :2 7 5d :2 4
7 c 15 16 1b :3 15 a :2 13
1e a 15 f a f a :4 e
7 e 7 e 7 :2 4 :4 10 :2 4
:8 1 
110
4
0 :3 1 0 :5 1
:7 4 :b 6 :12 7 :3 6
:11 a :b b :3 a 5
:3 10 :11 11 :b 12 :17 13
:3 11 :2 15 :5 16 :5 17
16 :4 18 :4 16 15
16 :3 19 :3 10 :2 1a
:5 1c :11 1d :b 1e :18 1f
:3 1d :2 21 :6 22 :5 23
22 :4 24 :4 22 21
22 :3 25 :2 1b :6 1a
f :7 1 
3bb
4
:3 0 1 :3 0 5
6 :2 0 3 :3 0
2 :a 0 10b 1
:7 0 4 :3 0 5
:2 0 :2 4 7 0
10b 2 8 :2 0
11 12 0 3
4 :3 0 5 :2 0
4 b c 0
d :7 0 10 e
0 109 0 6
:6 0 7 :3 0 8
:3 0 7 :3 0 9
:3 0 14 15 0
2 :4 0 5 16
18 13 1a 19
:2 0 a :3 0 b
:3 0 1c 1d 0
c :4 0 7 :3 0
d :3 0 20 21
0 2 :4 0 7
22 24 e :4 0
f :2 0 10 :3 0
9 27 29 :3 0
11 :4 0 c 1e
2c :2 0 2e 11
2f 1b 2e 0
30 13 0 50
7 :3 0 8 :3 0
31 32 0 7
:3 0 12 :3 0 34
35 0 13 :2 0
2 :4 0 14 :2 0
15 :2 0 13 :2 0
15 3a 3c :3 0
18 36 3e 33
40 3f :2 0 a
:3 0 16 :3 0 42
43 0 c :4 0
17 :4 0 f :2 0
10 :3 0 1c 47
49 :3 0 1f 44
4b :2 0 4d 22
4e 41 4d 0
4f 24 0 50
26 10a 4 :3 0
18 :2 0 4 51
52 0 7 :3 0
8 :3 0 54 55
0 7 :3 0 12
:3 0 57 58 0
19 :2 0 2 :4 0
1a :2 0 15 :2 0
13 :2 0 29 5d
5f :3 0 2c 59
61 56 63 62
:2 0 a :3 0 16
:3 0 65 66 0
c :4 0 1b :4 0
f :2 0 10 :3 0
30 6a 6c :3 0
33 67 6e :2 0
87 a :3 0 16
:3 0 70 71 0
c :4 0 1c :4 0
f :2 0 4 :3 0
1d :3 0 76 77
0 36 75 79
:3 0 f :2 0 1e
:4 0 39 7b 7d
:3 0 f :2 0 4
:3 0 1f :3 0 80
81 0 3c 7f
83 :3 0 3f 72
85 :2 0 87 42
88 64 87 0
89 45 0 a4
20 :3 0 6 :3 0
4 :3 0 1d :3 0
8c 8d 0 21
:2 0 1 8e 8f
4 :3 0 1f :3 0
91 92 0 22
:2 0 1 93 94
47 23 :3 0 4a
98 :2 0 9a :4 0
9c 9d :5 0 96
99 :3 0 9b :4 0
a0 :2 0 a4 8b
9e :2 0 3 :3 0
6 :3 0 a2 :2 0
a4 4c a6 50
a5 a4 :2 0 108
24 :3 0 4 :3 0
25 :3 0 a9 aa
0 26 :3 0 ab
ac 0 100 7
:3 0 8 :3 0 ae
af 0 7 :3 0
12 :3 0 b1 b2
0 19 :2 0 2
:4 0 27 :2 0 15
:2 0 13 :2 0 52
b7 b9 :3 0 55
b3 bb b0 bd
bc :2 0 a :3 0
16 :3 0 bf c0
0 c :4 0 28
:4 0 f :2 0 10
:3 0 59 c4 c6
:3 0 5c c1 c8
:2 0 e2 a :3 0
16 :3 0 ca cb
0 c :4 0 29
:4 0 f :2 0 26
:3 0 5f cf d1
:3 0 f :2 0 2a
:4 0 62 d3 d5
:3 0 f :2 0 2b
:3 0 2c :3 0 13
:2 0 2d :2 0 65
d8 dc 69 d7
de :3 0 6c cc
e0 :2 0 e2 6f
e3 be e2 0
e4 72 0 100
20 :3 0 6 :3 0
2e :2 0 2f :2 0
21 :2 0 1 74
e7 ea :3 0 eb
e9 4 :3 0 1f
:3 0 ed ee 0
22 :2 0 1 ef
f0 76 23 :3 0
79 f4 :2 0 f6
:4 0 f8 f9 :5 0
f2 f5 :3 0 f7
:4 0 fc :2 0 100
e6 fa :2 0 3
:3 0 6 :3 0 fe
:2 0 100 7b 103
:3 0 103 0 103
102 100 101 :6 0
105 1 :3 0 80
107 82 106 105
:2 0 108 84 :2 0
10a 87 10a 109
50 108 :6 0 10b
:2 0 2 8 10a
10e :3 0 10d 10b
10f :8 0 
89
4
:3 0 1 a 1
17 1 23 2
26 28 4 1f
25 2a 2b 1
2d 1 2f 2
39 3b 3 37
38 3d 2 46
48 2 45 4a
1 4c 1 4e
2 30 4f 2
5c 5e 3 5a
5b 60 2 69
6b 2 68 6d
2 74 78 2
7a 7c 2 7e
82 2 73 84
2 6f 86 1
88 2 90 95
1 97 3 89
9f a3 1 53
2 b6 b8 3
b4 b5 ba 2
c3 c5 2 c2
c7 2 ce d0
2 d2 d4 3
d9 da db 2
d6 dd 2 cd
df 2 c9 e1
1 e3 1 e8
2 ec f1 1
f3 4 ad e4
fb ff 1 103
1 a8 2 a6
107 1 f 
1
4
0 
10e
0
1
14
2
2
0 1 0 0 0 0 0 0
0 0 0 0 0 0 0 0
0 0 0 0 
2 0 1
a 1 0
0

/
SHOW ERRORS FUNCTION SP__PROFILE_ASSIGN_STR;
ALTER FUNCTION SP__PROFILE_ASSIGN_STR COMPILE DEBUG;
Prompt == FUNCTION SP__TEST_ASSIGN_STR ==
CREATE OR REPLACE FUNCTION SP__TEST_ASSIGN_STR wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
8
9200000
1
4
0 
1b
2 :e:
1FUNCTION:
1SP__TEST_ASSIGN_STR:
1RETURN:
1PLS_INTEGER:
1ALLTRACES:
1TRACE_ENABLED:
1CHECK_PARAMS:
1LFILE:
1FPUT_PARAMS:
1AllTrace:
1LINES_BEFORE_PARAMS:
1-- :
1||:
1SYSTIMESTAMP:
1::r ::= SP__TEST_ASSIGN_STR();:
1CHECK_TRACE:
11:
18:
1+:
1FPUT:
1               ENTER:: SP__TEST_ASSIGN_STR(9) :: assign_str.sql(375) :: :
112:
1                EXIT:: SP__TEST_ASSIGN_STR(13) :: assign_str.sql(379) :: :
1 :
1STATE:: :
1PMO_DB2M:
1SC_STATE:
0

0
0
82
2
0 a0 8d a0 b4 a0 2c 6a
:2 a0 6b :2 a0 6b 6e a5 b a
10 :2 a0 6b 6e :2 a0 6b 6e a5
b 6e 7e a0 b4 2e 6e a5
57 b7 19 3c :2 a0 6b :2 a0 6b
51 6e 51 7e 51 b4 2e a5
b a 10 :2 a0 6b :2 6e 7e a0
b4 2e a5 57 b7 19 3c :2 a0
6b :2 a0 6b 51 6e 51 7e 51
b4 2e a5 b a 10 :2 a0 6b
:2 6e 7e a0 b4 2e 7e 6e b4
2e 7e 6e b4 2e 7e :2 a0 6b
b4 2e a5 57 b7 19 3c :3 a0
6b 65 b7 a4 b1 11 68 4f
1d 17 b5 
82
2
0 3 f b a 23 27 2b
2f 33 7 37 3b 3f 42 47
48 1 4a 4f 53 57 5a 5f
63 67 6a 6f 70 72 77 7a
7e 7f 84 89 8a 8f 91 95
98 9c a0 a3 a7 ab ae b1
b6 b9 bc bf c0 c5 c6 1
c8 cd d1 d5 d8 dd e2 e5
e9 ea ef f0 f5 f7 fb fe
102 106 109 10d 111 114 117 11c
11f 122 125 126 12b 12c 1 12e
133 137 13b 13e 143 148 14b 14f
150 155 158 15d 15e 163 166 16b
16c 171 174 178 17c 17f 180 185
186 18b 18d 191 194 198 19c 1a0
1a3 1a7 1a9 1ad 1af 1bb 1bf 1c1
1c2 1cb 
82
2
0 1 a 1e 0 25 :2 1 7
:2 11 23 :2 2d 3a :2 23 :3 7 :2 d 19
25 :2 2f 43 :2 25 5b 61 64 :2 5b
72 :2 7 51 :2 4 7 :2 11 23 :2 2d
39 3c 53 54 55 :2 53 :2 23 :3 7
:2 d 12 1e 66 69 :2 1e :2 7 58
:2 4 7 :2 11 23 :2 2d 39 3c 53
55 56 :2 53 :2 23 :3 7 :2 d 12 1e
67 6a :2 1e 77 7a :2 1e 7e 81
:2 1e 8b 8e :2 97 :2 1e :2 7 59 :3 4
b :2 14 4 :9 1 
82
4
0 :3 1 0 :3 1
:b 4 :12 5 :3 4 :11 8
:b 9 :3 8 :11 c :19 d
:3 c :5 f :2 3 :7 1

1cd
4
:3 0 1 :3 0 8
9 :2 0 3 :3 0
2 :a 0 7d 1
:7 0 4 :3 0 4
5 0 7d 2
6 :2 0 5 :3 0
6 :3 0 5 :3 0
7 :3 0 b c
0 2 :4 0 3
d f a 11
10 :2 0 8 :3 0
9 :3 0 13 14
0 a :4 0 5
:3 0 b :3 0 17
18 0 2 :4 0
5 19 1b c
:4 0 d :2 0 e
:3 0 7 1e 20
:3 0 f :4 0 a
15 23 :2 0 25
f 26 12 25
0 27 11 0
79 5 :3 0 6
:3 0 28 29 0
5 :3 0 10 :3 0
2b 2c 0 11
:2 0 2 :4 0 12
:2 0 13 :2 0 11
:2 0 13 31 33
:3 0 16 2d 35
2a 37 36 :2 0
8 :3 0 14 :3 0
39 3a 0 a
:4 0 15 :4 0 d
:2 0 e :3 0 1a
3e 40 :3 0 1d
3b 42 :2 0 44
20 45 38 44
0 46 22 0
79 5 :3 0 6
:3 0 47 48 0
5 :3 0 10 :3 0
4a 4b 0 11
:2 0 2 :4 0 16
:2 0 13 :2 0 11
:2 0 24 50 52
:3 0 27 4c 54
49 56 55 :2 0
8 :3 0 14 :3 0
58 59 0 a
:4 0 17 :4 0 d
:2 0 e :3 0 2b
5d 5f :3 0 d
:2 0 18 :4 0 2e
61 63 :3 0 d
:2 0 19 :4 0 31
65 67 :3 0 d
:2 0 1a :3 0 1b
:3 0 6a 6b 0
34 69 6d :3 0
37 5a 6f :2 0
71 3a 72 57
71 0 73 3c
0 79 3 :3 0
1a :3 0 1b :3 0
75 76 0 77
:2 0 79 3e 7c
:3 0 7c 0 7c
7b 79 7a :6 0
7d :2 0 2 6
7c 80 :3 0 7f
7d 81 :8 0 
43
4
:3 0 1 e 1
1a 2 1d 1f
4 16 1c 21
22 1 24 1
26 2 30 32
3 2e 2f 34
2 3d 3f 2
3c 41 1 43
1 45 2 4f
51 3 4d 4e
53 2 5c 5e
2 60 62 2
64 66 2 68
6c 2 5b 6e
1 70 1 72
4 27 46 73
78 
1
4
0 
80
0
1
14
1
1
0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0
0 0 0 0 
2 0 1
0

/
SHOW ERRORS FUNCTION SP__TEST_ASSIGN_STR;
ALTER FUNCTION SP__TEST_ASSIGN_STR COMPILE DEBUG;
