set echo on
SET AUTOCOMMIT ON

spool logs/step1.log

exec set_dateformat;
COMMIT;


-- Insert 3 rows for custom category attributes for E&TS change request.

INSERT INTO TMT_WBS_ATTRIBUTES(LEVEL_ID,ELEMENT_NAME,ELEMENT_ID,PARENT_ID,TYPE_ID,LOCAL,RANK,REC_USER,MAX_RANK,CHILD_COUNT)
VALUES(0,'CUSTOMER_CATEGORY','SC_PMO_CUSTOMER_CATEGORY________',null,56,'N','rrrrrrrr','PMO_SUPERVISOR',1,1);

INSERT INTO TMT_WBS_ATTRIBUTES(LEVEL_ID,ELEMENT_NAME,ELEMENT_ID,PARENT_ID,TYPE_ID,LOCAL,RANK,REC_USER,MAX_RANK,CHILD_COUNT)
VALUES(1,'CUSTOMER_CLASSIFICATION','SC_PMO_CUSTOMER_CLASSIFICATION__','SC_PMO_CUSTOMER_CATEGORY________',146,'N','rrrrrrrr0001','PMO_SUPERVISOR',1,1);

INSERT INTO TMT_WBS_ATTRIBUTES(LEVEL_ID,ELEMENT_NAME,ELEMENT_ID,PARENT_ID,TYPE_ID,LOCAL,RANK,REC_USER,MAX_RANK,CHILD_COUNT)
VALUES(2,'CUSTOMER_ATTRIBUTE','SC_PMO_CUSTOMER_ATTRIBUTE_______','SC_PMO_CUSTOMER_CLASSIFICATION__',144,'N','rrrrrrrr00010001','PMO_SUPERVISOR',0,0);

-- New column for the export flag in documents view, for E&TS change request.

ALTER TABLE TMT_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;

UPDATE TMT_SETTINGS
SET RANK = '0000000s'
WHERE ELEMENT_ID='RUP_HOME_PATH';

-- Insert 1 row to control the appearance of the Indicator column, for E&TS change request. IF SETTING_VALUE is 0 then no enabling
-- of E&TS integration

INSERT INTO TMT_SETTINGS(LEVEL_ID,TYPE_ID,MAX_RANK,CHILD_COUNT,DELETED_COUNT,ELEMENT_ID,ELEMENT_NAME,PARENT_ID,REC_USER,REC_STATUS,REC_DATETIME,RANK,SETTING_VALUE,DESCRIPTION) 
VALUES(0,1,0,0,0,'INTEGRATION_EXPORT_XML',null,null,'PMO_SUPERVISOR','I','2005-03-27 22:00:00.093002','0000000t',0,null);


ALTER TABLE TMT_ASSET_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;
ALTER TABLE HISTORY_ASSET_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;

ALTER TABLE TMT_CLIENT_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;
ALTER TABLE HISTORY_CLIENT_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;

ALTER TABLE HISTORY_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;

ALTER TABLE TMT_POOL_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;
ALTER TABLE HISTORY_POOL_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;

ALTER TABLE TMT_RESOURCE_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;
ALTER TABLE HISTORY_RESOURCE_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;

ALTER TABLE TMT_VENDOR_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;
ALTER TABLE HISTORY_VENDOR_DOCUMENTS ADD ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL;




DROP INDEX TKDYR_PTDY_XX;
CREATE  INDEX TKDYR_PTDY_XX ON TASK_DAY_OF_YEAR (PROJECT_ID ASC,TASK_ID ASC,DAY_YEAR ASC) TABLESPACE PMO_IDX_64K;

purge recyclebin;
@utils/droppmotrig.sql
purge recyclebin;


DROP INDEX TKASG_GID_XX;
DROP INDEX TKASG_OID_BF_XX;
DROP INDEX TKASG_PJRID_CX;
DROP INDEX TKASG_PJTRID_BF_CX;
DROP INDEX TKASG_RID_XX;
DROP INDEX TKASG_TAID_XX;
DROP INDEX TKASG_TRID_RT_XX;


DROP TABLE TASK_ASSIGNMENTS_TEMP;
CREATE TABLE TASK_ASSIGNMENTS_TEMP (
	TSK_ASSIGNMENT_ID VARCHAR2(32) DEFAULT ' ' NOT NULL,
	RES_ASSIGNMENT_ID VARCHAR2(32) DEFAULT ' ' NOT NULL,
	PROJECT_ID VARCHAR2(32) DEFAULT ' ' NOT NULL,
	TASK_ID VARCHAR2(32) DEFAULT ' ' NOT NULL,
	RESOURCE_ID VARCHAR2(32),
	RESOURCE_TYPE VARCHAR2(1) DEFAULT '0' NOT NULL,
	ACCEPTED_DATE DATE,
	ESTIMATE NUMBER(10) DEFAULT 0 NOT NULL,
	BEST NUMBER(10) DEFAULT 0 NOT NULL,
	BIT_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	ASSIGN_STRING CLOB DEFAULT EMPTY_CLOB(),
	SD NUMBER(5),
	FD NUMBER(5),
	START_DT TIMESTAMP,
	FINISH_DT TIMESTAMP,
	DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	REGULAR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	SPECIAL_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	REGULAR_RATE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	SPECIAL_RATE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_START TIMESTAMP,
	BASELINE1_FINISH TIMESTAMP,
	BASELINE1_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE1_WORK NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE1_LABOR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_LABOR_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE2_START TIMESTAMP,
	BASELINE2_FINISH TIMESTAMP,
	BASELINE2_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE2_WORK NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE2_LABOR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE2_LABOR_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE3_START TIMESTAMP,
	BASELINE3_FINISH TIMESTAMP,
	BASELINE3_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE3_WORK NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE3_LABOR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE3_LABOR_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	B_REGULAR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	B_SPECIAL_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	B_REGULAR_RATE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	B_SPECIAL_RATE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	PLANNED_START TIMESTAMP,
	PLANNED_FINISH TIMESTAMP,
	PLANNED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	PLANNED_WORK NUMBER(10) DEFAULT 0 NOT NULL,
	PLANNED_LABOR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	PLANNED_LABOR_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	PROPOSED_START TIMESTAMP,
	PROPOSED_FINISH TIMESTAMP,
	PROPOSED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	PROPOSED_WORK NUMBER(10) DEFAULT 0 NOT NULL,
	PROPOSED_LABOR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	PROPOSED_LABOR_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	SCHED_START TIMESTAMP,
	SCHED_FINISH TIMESTAMP,
	SCHED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	SCHED_WORK NUMBER(10) DEFAULT 0 NOT NULL,
	SCHED_LABOR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	SCHED_LABOR_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	FORECAST_START TIMESTAMP,
	FORECAST_FINISH TIMESTAMP,
	FORECAST_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	ETC NUMBER(19) DEFAULT 0 NOT NULL,
	FORECAST_LABOR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	FORECAST_LABOR_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACTUAL_START TIMESTAMP,
	ACTUAL_FINISH TIMESTAMP,
	ACTUAL_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	WORK_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	REGULAR_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	SPECIAL_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	BILLABLE NUMBER(5) DEFAULT 1 NOT NULL,
	BILLABLE_WORK_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	BILLABLE_REGULAR_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	BILLABLE_SPECIAL_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	ACTUAL_LABOR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACTUAL_LABOR_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	MILESTONE_PERCENT NUMBER(5) DEFAULT 0 NOT NULL,
	LAST_SUBMITTED DATE,
	BASELINE_WORK_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	ACTIVITY_COUNT NUMBER(5) DEFAULT 0 NOT NULL,
	T_UNIT NUMBER(5) DEFAULT 0 NOT NULL,
	C_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	C_UNIT NUMBER(5) DEFAULT 0 NOT NULL,
	C_OCCURRENCE NUMBER(5) DEFAULT 0 NOT NULL,
	C_CONTOUR NUMBER(10) DEFAULT 0 NOT NULL,
	CONTOUR_TYPE NUMBER(10) DEFAULT 0 NOT NULL,
	UNITS_MSP NUMBER(10) DEFAULT 10000 NOT NULL,
	BAK_START_DT TIMESTAMP,
	BAK_FINISH_DT TIMESTAMP,
	BAK_WORK NUMBER(10) DEFAULT 0 NOT NULL,
	BAK_ASSIGN_STRING CLOB DEFAULT EMPTY_CLOB(),
	TIMECODE2_ID VARCHAR2(32),
	PROJECT_ASSIGNMENT_ID VARCHAR2(32),
	TABLE_TYPE NUMBER(5) DEFAULT 0 NOT NULL,
	ROLLUP_BITS NUMBER(10) DEFAULT 1052679 NOT NULL,
	UNRESOLVED_START TIMESTAMP,
	UNRESOLVED_FINISH TIMESTAMP,
	UNRESOLVED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	ESTIMATION_LABOR_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATION_LABOR_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATION_LABOR_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_LABOR_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACTUAL_LABOR_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	SCHED_LABOR_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	FORECAST_LABOR_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	PLANNED_LABOR_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	PROPOSED_LABOR_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	LEVEL_START TIMESTAMP,
	LEVEL_FINISH TIMESTAMP,
	LEVEL_EFFORT NUMBER(19) DEFAULT 0,
	CONSIDER NUMBER(5) DEFAULT 0 NOT NULL,
	LEVEL_ASSIGN_STRING CLOB DEFAULT EMPTY_CLOB(),
	CAPITAL_EXPENSE NUMBER(5) DEFAULT 0,
	BASELINE3_SCH_FLAG NUMBER(5) DEFAULT 0 NOT NULL,
	RATES_EDITED NUMBER(5) DEFAULT 0,
	TIMECODE_1_ID VARCHAR2(32),
	TIMECODE_2_ID VARCHAR2(32),
	ASSIGNMENT_DELAY NUMBER(19) DEFAULT 0,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	ASSIGN_UNITS NUMBER(10) DEFAULT 0 NOT NULL,
	LAST_SCHED_MIN NUMBER(10) DEFAULT 0 NOT NULL,
	RATE_ADJUSTMENT NUMBER(10) DEFAULT 10000,
	REC_STATUS VARCHAR2(1),
	REC_USER VARCHAR2(32),
	LABOR_COST_CC_ID VARCHAR2(32),
	LABOR_REVENUE_CC_ID VARCHAR2(32),
	DEFAULT_LABOR_FLAG VARCHAR2(1) DEFAULT 'N' NOT NULL,
	COST_CENTER_BITS NUMBER(10) DEFAULT 1 NOT NULL,
	CREDIT_COUNT NUMBER(5) DEFAULT 0 NOT NULL,
	BAC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWP NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACWP NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EV_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EAC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CONTRACT_ID VARCHAR2(32)
)TABLESPACE PMO_DATA_64K
LOB(ASSIGN_STRING ) STORE AS LOBCN_TASK_ASSIGNMENTS(TABLESPACE PMO_LOB_64K)
LOB(BAK_ASSIGN_STRING ) STORE AS LOBCCN_TASK_ASSIGNMENTS(TABLESPACE PMO_LOB_64K)
LOB(LEVEL_ASSIGN_STRING ) STORE AS LOBCCCN_TASK_ASSIGNMENTS(TABLESPACE PMO_LOB_64K);



INSERT INTO TASK_ASSIGNMENTS_TEMP
(
	TSK_ASSIGNMENT_ID,
	RES_ASSIGNMENT_ID,
	PROJECT_ID,
	TASK_ID,
	RESOURCE_ID,
	RESOURCE_TYPE,
	ACCEPTED_DATE,
	ESTIMATE,
	BEST,
	BIT_FLAG,
	ASSIGN_STRING,
	SD,
	FD,
	START_DT,
	FINISH_DT,
	DURATION,
	REGULAR_COST,
	SPECIAL_COST,
	REGULAR_RATE,
	SPECIAL_RATE,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE1_DURATION,
	BASELINE1_WORK,
	BASELINE1_LABOR_COST,
	BASELINE1_LABOR_REVENUE,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE2_DURATION,
	BASELINE2_WORK,
	BASELINE2_LABOR_COST,
	BASELINE2_LABOR_REVENUE,
	BASELINE3_START,
	BASELINE3_FINISH,
	BASELINE3_DURATION,
	BASELINE3_WORK,
	BASELINE3_LABOR_COST,
	BASELINE3_LABOR_REVENUE,
	B_REGULAR_COST,
	B_SPECIAL_COST,
	B_REGULAR_RATE,
	B_SPECIAL_RATE,
	PLANNED_START,
	PLANNED_FINISH,
	PLANNED_DURATION,
	PLANNED_WORK,
	PLANNED_LABOR_COST,
	PLANNED_LABOR_REVENUE,
	PROPOSED_START,
	PROPOSED_FINISH,
	PROPOSED_DURATION,
	PROPOSED_WORK,
	PROPOSED_LABOR_COST,
	PROPOSED_LABOR_REVENUE,
	SCHED_START,
	SCHED_FINISH,
	SCHED_DURATION,
	SCHED_WORK,
	SCHED_LABOR_COST,
	SCHED_LABOR_REVENUE,
	FORECAST_START,
	FORECAST_FINISH,
	FORECAST_DURATION,
	ETC,
	FORECAST_LABOR_COST,
	FORECAST_LABOR_REVENUE,
	ACTUAL_START,
	ACTUAL_FINISH,
	ACTUAL_DURATION,
	WORK_TODATE,
	REGULAR_TODATE,
	SPECIAL_TODATE,
	BILLABLE,
	BILLABLE_WORK_TODATE,
	BILLABLE_REGULAR_TODATE,
	BILLABLE_SPECIAL_TODATE,
	ACTUAL_LABOR_COST,
	ACTUAL_LABOR_REVENUE,
	MILESTONE_PERCENT,
	LAST_SUBMITTED,
	BASELINE_WORK_TODATE,
	ACTIVITY_COUNT,
	T_UNIT,
	C_EFFORT,
	C_UNIT,
	C_OCCURRENCE,
	C_CONTOUR,
	CONTOUR_TYPE,
	UNITS_MSP,
	BAK_START_DT,
	BAK_FINISH_DT,
	BAK_WORK,
	BAK_ASSIGN_STRING,
	TIMECODE2_ID,
	PROJECT_ASSIGNMENT_ID,
	TABLE_TYPE,
	ROLLUP_BITS,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	UNRESOLVED_DURATION,
	ESTIMATION_LABOR_COST,
	ESTIMATION_LABOR_REVENUE,
	ESTIMATION_LABOR_SAVING,
	BASELINE1_LABOR_SAVING,
	ACTUAL_LABOR_SAVING,
	SCHED_LABOR_SAVING,
	FORECAST_LABOR_SAVING,
	PLANNED_LABOR_SAVING,
	PROPOSED_LABOR_SAVING,
	LEVEL_START,
	LEVEL_FINISH,
	LEVEL_EFFORT,
	CONSIDER,
	LEVEL_ASSIGN_STRING,
	CAPITAL_EXPENSE,
	BASELINE3_SCH_FLAG,
	RATES_EDITED,
	TIMECODE_1_ID,
	TIMECODE_2_ID,
	ASSIGNMENT_DELAY,
	REC_DATETIME,
	ASSIGN_UNITS,
	LAST_SCHED_MIN,
	RATE_ADJUSTMENT,
	REC_STATUS,
	REC_USER,
	LABOR_COST_CC_ID,
	LABOR_REVENUE_CC_ID,
	DEFAULT_LABOR_FLAG,
	COST_CENTER_BITS,
	CREDIT_COUNT,
	BAC,
	BCWS,
	BCWP,
	ACWP,
	EV_ETC,
	EAC,
	CONTRACT_ID
)
SELECT 
	TSK_ASSIGNMENT_ID,
	RES_ASSIGNMENT_ID,
	PROJECT_ID,
	TASK_ID,
	RESOURCE_ID,
	RESOURCE_TYPE,
	ACCEPTED_DATE,
	ESTIMATE,
	BEST,
	BIT_FLAG,
	ASSIGN_STRING,
	SD,
	FD,
	START_DT,
	FINISH_DT,
	DURATION,
	REGULAR_COST,
	SPECIAL_COST,
	REGULAR_RATE,
	SPECIAL_RATE,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE1_DURATION,
	BASELINE1_WORK,
	BASELINE1_LABOR_COST,
	BASELINE1_LABOR_REVENUE,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE2_DURATION,
	BASELINE2_WORK,
	BASELINE2_LABOR_COST,
	BASELINE2_LABOR_REVENUE,
	BASELINE3_START,
	BASELINE3_FINISH,
	BASELINE3_DURATION,
	BASELINE3_WORK,
	BASELINE3_LABOR_COST,
	BASELINE3_LABOR_REVENUE,
	B_REGULAR_COST,
	B_SPECIAL_COST,
	B_REGULAR_RATE,
	B_SPECIAL_RATE,
	PLANNED_START,
	PLANNED_FINISH,
	PLANNED_DURATION,
	PLANNED_WORK,
	PLANNED_LABOR_COST,
	PLANNED_LABOR_REVENUE,
	PROPOSED_START,
	PROPOSED_FINISH,
	PROPOSED_DURATION,
	PROPOSED_WORK,
	PROPOSED_LABOR_COST,
	PROPOSED_LABOR_REVENUE,
	SCHED_START,
	SCHED_FINISH,
	SCHED_DURATION,
	SCHED_WORK,
	SCHED_LABOR_COST,
	SCHED_LABOR_REVENUE,
	FORECAST_START,
	FORECAST_FINISH,
	FORECAST_DURATION,
	ETC,
	FORECAST_LABOR_COST,
	FORECAST_LABOR_REVENUE,
	ACTUAL_START,
	ACTUAL_FINISH,
	ACTUAL_DURATION,
	WORK_TODATE,
	REGULAR_TODATE,
	SPECIAL_TODATE,
	BILLABLE,
	BILLABLE_WORK_TODATE,
	BILLABLE_REGULAR_TODATE,
	BILLABLE_SPECIAL_TODATE,
	ACTUAL_LABOR_COST,
	ACTUAL_LABOR_REVENUE,
	MILESTONE_PERCENT,
	LAST_SUBMITTED,
	BASELINE_WORK_TODATE,
	ACTIVITY_COUNT,
	T_UNIT,
	C_EFFORT,
	C_UNIT,
	C_OCCURRENCE,
	C_CONTOUR,
	CONTOUR_TYPE,
	UNITS_MSP,
	BAK_START_DT,
	BAK_FINISH_DT,
	BAK_WORK,
	BAK_ASSIGN_STRING,
	TIMECODE2_ID,
	PROJECT_ASSIGNMENT_ID,
	TABLE_TYPE,
	ROLLUP_BITS,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	UNRESOLVED_DURATION,
	ESTIMATION_LABOR_COST,
	ESTIMATION_LABOR_REVENUE,
	ESTIMATION_LABOR_SAVING,
	BASELINE1_LABOR_SAVING,
	ACTUAL_LABOR_SAVING,
	SCHED_LABOR_SAVING,
	FORECAST_LABOR_SAVING,
	PLANNED_LABOR_SAVING,
	PROPOSED_LABOR_SAVING,
	LEVEL_START,
	LEVEL_FINISH,
	LEVEL_EFFORT,
	CONSIDER,
	LEVEL_ASSIGN_STRING,
	CAPITAL_EXPENSE,
	BASELINE3_SCH_FLAG,
	RATES_EDITED,
	TIMECODE_1_ID,
	TIMECODE_2_ID,
	ASSIGNMENT_DELAY,
	REC_DATETIME,
	ASSIGN_UNITS,
	LAST_SCHED_MIN,
	RATE_ADJUSTMENT,
	REC_STATUS,
	REC_USER,
	LABOR_COST_CC_ID,
	LABOR_REVENUE_CC_ID,
	DEFAULT_LABOR_FLAG,
	COST_CENTER_BITS,
	CREDIT_COUNT,
	BAC,
	BCWS,
	BCWP,
	ACWP,
	EV_ETC,
	EAC,
	CONTRACT_ID
FROM TASK_ASSIGNMENTS;

DROP TABLE TASK_ASSIGNMENTS_OLD;
ALTER TABLE TASK_ASSIGNMENTS RENAME TO TASK_ASSIGNMENTS_OLD;
ALTER TABLE TASK_ASSIGNMENTS_TEMP RENAME TO TASK_ASSIGNMENTS;
DROP TABLE TASK_ASSIGNMENTS_OLD;




DROP INDEX TKASG_GID_XX;
CREATE  INDEX TKASG_GID_XX ON TASK_ASSIGNMENTS (RES_ASSIGNMENT_ID ASC) ;
DROP INDEX TKASG_OID_BF_XX;
CREATE  INDEX TKASG_OID_BF_XX ON TASK_ASSIGNMENTS (PROJECT_ASSIGNMENT_ID ASC,BIT_FLAG ASC) ;
DROP INDEX TKASG_PJRID_CX;
CREATE  INDEX TKASG_PJRID_CX ON TASK_ASSIGNMENTS (PROJECT_ID ASC,RESOURCE_ID ASC,BIT_FLAG ASC)  PCTFREE = 30;
DROP INDEX TKASG_PJTRID_BF_CX;
CREATE  INDEX TKASG_PJTRID_BF_CX ON TASK_ASSIGNMENTS (PROJECT_ID ASC,TASK_ID ASC,RESOURCE_ID ASC,BIT_FLAG ASC)  PCTFREE = 30;
DROP INDEX TKASG_RID_XX;
CREATE  INDEX TKASG_RID_XX ON TASK_ASSIGNMENTS (RESOURCE_ID ASC) ;
DROP INDEX TKASG_TAID_XX;
CREATE UNIQUE INDEX TKASG_TAID_XX ON TASK_ASSIGNMENTS (TSK_ASSIGNMENT_ID ASC) ;
DROP INDEX TKASG_TRID_RT_XX;
CREATE  INDEX TKASG_TRID_RT_XX ON TASK_ASSIGNMENTS (TASK_ID ASC,RESOURCE_ID ASC,RESOURCE_TYPE ASC) ;



DROP FUNCTION FC_INIT_PRJ_PRF;
DROP FUNCTION FC_INIT_PRJ_PRF_WEEK;
DROP FUNCTION FC_INIT_PRJ_RES;
DROP FUNCTION FC_INIT_PRJ_RES_WEEK;
DROP FUNCTION FC_INIT_PV_ATTR;
DROP FUNCTION FC_INIT_RES_PRJ_WEEK;
DROP FUNCTION FC_INIT_RES_WEEK;
DROP FUNCTION FC_INIT_RPT_RES;
DROP FUNCTION FC_PVT_INIT_FLAT_PRJ_ATTR;
DROP FUNCTION FC_PVT_INIT_PRJ_ATTR;
DROP FUNCTION FC_PV_ATTRIBUTES;
DROP FUNCTION SP_RESOURCE_PIVOT_OLD;
DROP FUNCTION SP_UTILIZATION_POOL_OLD;
DROP FUNCTION SP_UTILIZATION_PROJECT_OLD;
DROP FUNCTION FC_BuildDeliverableComposite;
DROP FUNCTION FC_UpdateDeliverableEstimation;

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.5.2.85', DESCRIPTION = '6.5.2.85'
WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.5.2.61'
WHERE ELEMENT_ID = 'SERVER_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.1.2.7'
WHERE ELEMENT_ID = 'CLIENT_VERSION_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.1.2.7'
WHERE ELEMENT_ID = 'APPLICATION_VERSION';  	




COMMIT;
spool off

exit;
